name: ne/cce10
prefixType: vendor
fields:
  -
    identifier: header
    useExistingField: true
  -
    identifier: url
    type: Text
  -
    identifier: autoplay
    type: Checkbox
  -
    identifier: mute
    type: Checkbox
  -
    identifier: video
    type: File
    maxitems: 1
  -
    identifier: poster_image
    type: File
    allowed: common-image-types
    maxitems: 1
  -
    identifier: headline
    type: Text
    max: 512
  -
    identifier: headline_type
    type: Select
    renderType: selectSingle
    items:
      -
        value: h1
      -
        value: h2
      -
        value: h3
      -
        value: span
      -
        value: strong
  -
    identifier: headline_style
    type: Select
    renderType: selectSingle
    items:
      -
        value: ''
      -
        value: h1
      -
        value: h2
      -
        value: h3
  -
    identifier: text
    type: Textarea
    enableRichtext: true
